| Wireshark 4.7.3 The Wireshark network protocol analyzer

Loading...
Searching...
No Matches
Public Attributes | List of all members
print_args_t Struct Reference

Aggregates all options controlling a single print or export operation. More...

`#include <file.h>`

## Public Attributes
print_stream_t * | stream
print_format_e | format
bool | to_file
char * | file
char * | cmd
packet_range_t | range
bool | print_summary
bool | print_col_headings
print_dissections_e | print_dissections
bool | print_hex
unsigned | hexdump_options
bool | print_formfeed
bool | no_duplicate_keys
bool | json_compact
print_args_csv_t | csv_args
print_args_carrays_t | carrays_args

## Detailed Description

Aggregates all options controlling a single print or export operation.

## Member Data Documentation

## ◆ cmd

char* print_args_t::cmd

Shell print command string (non-Windows only; used when `to_file` is false)

## ◆ file

char* print_args_t::file

Pathname of the output file (used when `to_file` is true)

## ◆ format

print_format_e print_args_t::format

Output format: plain text or PostScript

## ◆ hexdump_options

unsigned print_args_t::hexdump_options

Bitmask of hex dump formatting options applied when `print_hex` is true

## ◆ json_compact

bool print_args_t::json_compact

True if JSON output should omit indentation and whitespace (JSON export only)

## ◆ no_duplicate_keys

bool print_args_t::no_duplicate_keys

True if duplicate JSON keys within an object should be suppressed (JSON export only)

## ◆ print_col_headings

bool print_args_t::print_col_headings

True if column header labels should be printed above the summary lines

## ◆ print_dissections

print_dissections_e print_args_t::print_dissections

Controls whether and how the protocol dissection tree is printed

## ◆ print_formfeed

bool print_args_t::print_formfeed

True if a form-feed character should be emitted before each new frame

## ◆ print_hex

bool print_args_t::print_hex

True if a hex dump of the frame data should be printed

## ◆ print_summary

bool print_args_t::print_summary

True if a one-line summary should be printed for each frame

## ◆ range

packet_range_t print_args_t::range

Packet range descriptor controlling which frames are processed

## ◆ stream

print_stream_t* print_args_t::stream

Output stream to which formatted output is written

## ◆ to_file

bool print_args_t::to_file

True if output is directed to a file; false if sent to a print command

The documentation for this struct was generated from the following file:

- /builds/wireshark/wireshark/file.h